#
# spec file for package csindex
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           csindex
Summary:        Utility for creating Czech or Slovak Sorted LaTeX Index Files
License:        MakeIndex
Group:          Productivity/Publishing/TeX/Utilities
Version:        19980713
Release:        679.2
Source:         %{name}-%{version}.tar.bz2
Source1:        COPYING
URL:            ftp://ftp.fi.muni.cz/pub/localization/csindex/
Patch0:         %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This program creates Czech and Slovak sorted index files for LaTeX.
Usage: csindex -z il2 file.idx Creates file.ind - a sorted index file.
Uses the ISO 8859-2 encoding.

%prep
%setup
install -m 644 %{SOURCE1} .
%patch0

%build
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -c -m 0755 csindex $RPM_BUILD_ROOT/usr/bin

%files
%defattr(-,root,root,-)
%doc README COPYING
/usr/bin/csindex

%changelog
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
-  Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Tue Sep  2 2014 coolo@suse.com
- fix license for spdx 1.2
* Thu May 10 2012 cfarrell@suse.com
- license update: SUSE-MakeIndex
  This license was added to the spreadsheet linked at license.opensuse.org
  to cater for this package
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Thu Aug  2 2007 pgajdos@suse.cz
- added COPYING -- MakeIndex license
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 schwab@suse.de
- Don't strip binaries.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Aug 14 2001 dan@suse.cz
- use bzip instead of gzip
* Mon Dec 18 2000 pblaha@suse.cz
- create this package
